commit 3507cb4ddd5d25ede75690d41d765786f9de2f3f
Author: Ondřej Váně <onry.vane@gmail.com>
Date:   Thu Apr 2 15:00:41 2020 +0200

    Re #7726: Implementace architektury FE
    
    - vytvoření všech stránek aplikace
    - přidáno routování
    - implementace navigační lišty
    - přidání globálních hodnot pro barvy

diff --git a/fe/fulltextsearch/src/app/app-routing.module.ts b/fe/fulltextsearch/src/app/app-routing.module.ts
index d712b44..3269808 100644
--- a/fe/fulltextsearch/src/app/app-routing.module.ts
+++ b/fe/fulltextsearch/src/app/app-routing.module.ts
@@ -1,10 +1,18 @@
 import { NgModule } from '@angular/core';
 import { Routes, RouterModule } from '@angular/router';
 import { HomeComponent } from './components/pages/home/home.component';
+import { SearchComponent } from './components/pages/search/search.component';
+import { BrowseComponent } from './components/pages/browse/browse.component';
+import { UploadComponent } from './components/pages/upload/upload.component';
+import { HelpComponent } from './components/pages/help/help.component';
 
 
 const routes: Routes = [
-  { path: '', component: HomeComponent }
+  { path: '', component: HomeComponent },
+  { path: 'search', component: SearchComponent },
+  { path: 'browse', component: BrowseComponent },
+  { path: 'upload', component: UploadComponent },
+  { path: 'help', component: HelpComponent },
 ];
 
 @NgModule({
diff --git a/fe/fulltextsearch/src/app/app.module.ts b/fe/fulltextsearch/src/app/app.module.ts
index b6eabd5..7bef61d 100644
--- a/fe/fulltextsearch/src/app/app.module.ts
+++ b/fe/fulltextsearch/src/app/app.module.ts
@@ -8,19 +8,37 @@ import { FormsModule } from '@angular/forms';
 import { SearchComponentComponent } from './components/shared-components/search-component/search-component.component';
 import { HomeComponent } from './components/pages/home/home.component';
 import { HeaderComponent } from './components/layout/header/header.component';
+import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
+import { MatToolbarModule } from '@angular/material/toolbar';
+import {MatButtonModule} from '@angular/material/button';
+import {MatIconModule} from '@angular/material/icon';
+import { SearchComponent } from './components/pages/search/search.component';
+import { BrowseComponent } from './components/pages/browse/browse.component';
+import { UploadComponent } from './components/pages/upload/upload.component';
+import { HelpComponent } from './components/pages/help/help.component';
+import {MatSelectModule} from '@angular/material/select';
 
 @NgModule({
   declarations: [
     AppComponent,
     SearchComponentComponent,
     HomeComponent,
-    HeaderComponent
+    HeaderComponent,
+    SearchComponent,
+    BrowseComponent,
+    UploadComponent,
+    HelpComponent
   ],
   imports: [
     BrowserModule,
     AppRoutingModule,
     FormsModule,
-    HttpClientModule
+    HttpClientModule,
+    BrowserAnimationsModule,
+    MatToolbarModule,
+    MatButtonModule,
+    MatIconModule,
+    MatSelectModule
   ],
   providers: [],
   bootstrap: [AppComponent]
diff --git a/fe/fulltextsearch/src/app/components/pages/browse/browse.component.spec.ts b/fe/fulltextsearch/src/app/components/pages/browse/browse.component.spec.ts
new file mode 100644
index 0000000..6a60dfb
--- /dev/null
+++ b/fe/fulltextsearch/src/app/components/pages/browse/browse.component.spec.ts
@@ -0,0 +1,25 @@
+import { async, ComponentFixture, TestBed } from '@angular/core/testing';
+
+import { BrowseComponent } from './browse.component';
+
+describe('BrowseComponent', () => {
+  let component: BrowseComponent;
+  let fixture: ComponentFixture<BrowseComponent>;
+
+  beforeEach(async(() => {
+    TestBed.configureTestingModule({
+      declarations: [ BrowseComponent ]
+    })
+    .compileComponents();
+  }));
+
+  beforeEach(() => {
+    fixture = TestBed.createComponent(BrowseComponent);
+    component = fixture.componentInstance;
+    fixture.detectChanges();
+  });
+
+  it('should create', () => {
+    expect(component).toBeTruthy();
+  });
+});
diff --git a/fe/fulltextsearch/src/app/components/pages/browse/browse.component.ts b/fe/fulltextsearch/src/app/components/pages/browse/browse.component.ts
new file mode 100644
index 0000000..1e91611
--- /dev/null
+++ b/fe/fulltextsearch/src/app/components/pages/browse/browse.component.ts
@@ -0,0 +1,15 @@
+import { Component, OnInit } from '@angular/core';
+
+@Component({
+  selector: 'app-browse',
+  templateUrl: './browse.component.html',
+  styleUrls: ['./browse.component.css']
+})
+export class BrowseComponent implements OnInit {
+
+  constructor() { }
+
+  ngOnInit(): void {
+  }
+
+}
diff --git a/fe/fulltextsearch/src/app/components/pages/help/help.component.spec.ts b/fe/fulltextsearch/src/app/components/pages/help/help.component.spec.ts
new file mode 100644
index 0000000..191ecee
--- /dev/null
+++ b/fe/fulltextsearch/src/app/components/pages/help/help.component.spec.ts
@@ -0,0 +1,25 @@
+import { async, ComponentFixture, TestBed } from '@angular/core/testing';
+
+import { HelpComponent } from './help.component';
+
+describe('HelpComponent', () => {
+  let component: HelpComponent;
+  let fixture: ComponentFixture<HelpComponent>;
+
+  beforeEach(async(() => {
+    TestBed.configureTestingModule({
+      declarations: [ HelpComponent ]
+    })
+    .compileComponents();
+  }));
+
+  beforeEach(() => {
+    fixture = TestBed.createComponent(HelpComponent);
+    component = fixture.componentInstance;
+    fixture.detectChanges();
+  });
+
+  it('should create', () => {
+    expect(component).toBeTruthy();
+  });
+});
diff --git a/fe/fulltextsearch/src/app/components/pages/help/help.component.ts b/fe/fulltextsearch/src/app/components/pages/help/help.component.ts
new file mode 100644
index 0000000..ae7d80f
--- /dev/null
+++ b/fe/fulltextsearch/src/app/components/pages/help/help.component.ts
@@ -0,0 +1,15 @@
+import { Component, OnInit } from '@angular/core';
+
+@Component({
+  selector: 'app-help',
+  templateUrl: './help.component.html',
+  styleUrls: ['./help.component.css']
+})
+export class HelpComponent implements OnInit {
+
+  constructor() { }
+
+  ngOnInit(): void {
+  }
+
+}
diff --git a/fe/fulltextsearch/src/app/components/pages/search/search.component.spec.ts b/fe/fulltextsearch/src/app/components/pages/search/search.component.spec.ts
new file mode 100644
index 0000000..4372919
--- /dev/null
+++ b/fe/fulltextsearch/src/app/components/pages/search/search.component.spec.ts
@@ -0,0 +1,25 @@
+import { async, ComponentFixture, TestBed } from '@angular/core/testing';
+
+import { SearchComponent } from './search.component';
+
+describe('SearchComponent', () => {
+  let component: SearchComponent;
+  let fixture: ComponentFixture<SearchComponent>;
+
+  beforeEach(async(() => {
+    TestBed.configureTestingModule({
+      declarations: [ SearchComponent ]
+    })
+    .compileComponents();
+  }));
+
+  beforeEach(() => {
+    fixture = TestBed.createComponent(SearchComponent);
+    component = fixture.componentInstance;
+    fixture.detectChanges();
+  });
+
+  it('should create', () => {
+    expect(component).toBeTruthy();
+  });
+});
diff --git a/fe/fulltextsearch/src/app/components/pages/search/search.component.ts b/fe/fulltextsearch/src/app/components/pages/search/search.component.ts
new file mode 100644
index 0000000..e80e70a
--- /dev/null
+++ b/fe/fulltextsearch/src/app/components/pages/search/search.component.ts
@@ -0,0 +1,15 @@
+import { Component, OnInit } from '@angular/core';
+
+@Component({
+  selector: 'app-search',
+  templateUrl: './search.component.html',
+  styleUrls: ['./search.component.css']
+})
+export class SearchComponent implements OnInit {
+
+  constructor() { }
+
+  ngOnInit(): void {
+  }
+
+}
diff --git a/fe/fulltextsearch/src/app/components/pages/upload/upload.component.spec.ts b/fe/fulltextsearch/src/app/components/pages/upload/upload.component.spec.ts
new file mode 100644
index 0000000..291982e
--- /dev/null
+++ b/fe/fulltextsearch/src/app/components/pages/upload/upload.component.spec.ts
@@ -0,0 +1,25 @@
+import { async, ComponentFixture, TestBed } from '@angular/core/testing';
+
+import { UploadComponent } from './upload.component';
+
+describe('UploadComponent', () => {
+  let component: UploadComponent;
+  let fixture: ComponentFixture<UploadComponent>;
+
+  beforeEach(async(() => {
+    TestBed.configureTestingModule({
+      declarations: [ UploadComponent ]
+    })
+    .compileComponents();
+  }));
+
+  beforeEach(() => {
+    fixture = TestBed.createComponent(UploadComponent);
+    component = fixture.componentInstance;
+    fixture.detectChanges();
+  });
+
+  it('should create', () => {
+    expect(component).toBeTruthy();
+  });
+});
diff --git a/fe/fulltextsearch/src/app/components/pages/upload/upload.component.ts b/fe/fulltextsearch/src/app/components/pages/upload/upload.component.ts
new file mode 100644
index 0000000..9c50623
--- /dev/null
+++ b/fe/fulltextsearch/src/app/components/pages/upload/upload.component.ts
@@ -0,0 +1,15 @@
+import { Component, OnInit } from '@angular/core';
+
+@Component({
+  selector: 'app-upload',
+  templateUrl: './upload.component.html',
+  styleUrls: ['./upload.component.css']
+})
+export class UploadComponent implements OnInit {
+
+  constructor() { }
+
+  ngOnInit(): void {
+  }
+
+}
